### Method

# WebKit CookieManager replace_cookies

since: 2.42

#### Declaration [src]

    void
    webkit_cookie_manager_replace_cookies (
      WebKitCookieManager* cookie_manager,
      GList* cookies,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously replace all cookies in `cookie_manager` with the given list of `cookies`.

When the operation is finished, `callback` will be called. You can then call `webkit_cookie_manager_replace_cookies_finish()` to get the result of the operation.

Available since: 2.42

#### Parameters

`cookies`

  Type: A list of `SoupCookie*`

  A `GList` of `SoupCookie` to be added.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  (closure user_data): a `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.